PHP 5.6 EOL (End of Life)

PHP 5.6 EOL (End of Life)


PHP5 End of Life

PHP version 5 (5.6.38) reaches end of life and officially becomes dangerous in days hours minutes and seconds. This affects countless websites that are powered by popular PHP/MySQL based content management systems such as WordPress, Drupal, ExpressionEngine, CraftCMS and many others. Once PHP version 5 reaches it’s end-of-life date, it will no longer be actively maintained and will not receive any further security updates.

This is potentially dangerous if vulnerabilities for the latest PHP 5.6 version are discovered and website administrators to not upgrade their websites to PHP 7. The latest stable version is 7.2.11 (as of this writing) but you should always reference php.net for the latest versions and information.

If you or anyone you know manages PHP based websites, or uses a content management system (CMS) that is based on PHP, share this post with them so they can be made aware of this issue and get plans made to upgrade their website(s) to PHP 7.

Before upgrading to PHP 7, you should make certain that your site will run smoothly on it and you don’t experience any issues with compatibility. I would recommend setting up a copy of your website on a local webserver that has PHP 7 installed or spin up a virtual machine to perform testing. If you run into any issues, you will want to address them before you perform this upgrade in your production environment.

 

DIGITAL PCI © 2018